Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0001207 [DCSS] FR: Interface Improvements feature N/A 2010-03-30 07:59 2017-06-05 17:10
Reporter myradiogalaxy View Status public  
Assigned To PleasingFungus
Priority normal Resolution done  
Status resolved   Product Branch 0.7 ancient branch
Summary 0001207: explore_hungry = true
Description Option to make autoexplore move to any untouched and edible corpse for convenient butchering.

Maybe this is already possible through current options. Please let me know because this would be a big time saver.
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0003740)
KiloByte (manager)
2010-03-30 10:32

You butcher corpses only when hungry (with gourmand, you're hungry at "very full") -- so this would be annoying most of the time, unless you worship a blood god.

For that case, though, there's a FR discussing several ways to fix that. I'd wait with this one until that FR is decided upon.
(0003744)
jpeg (manager)
2010-03-30 11:21

Note that as a workaround you can search for "corpse" and pick a corpse from the offered list that is edible and not too far away. (This would work even better if the search results were sorted by in-level distance, but there's an FR somewhere covering that.)
(0003753)
myradiogalaxy (reporter)
2010-03-30 17:38

Moving unnecessarily to an edible corpse wouldn't annoy me nearly as much as having to occasionally pry my finger off the autoexplore key, but that's why it's just an option, you know?
(0031660)
PleasingFungus (administrator)
2017-06-05 17:10

This was implemented in 7e858c24e4ba8 as auto_butcher.

- Issue History
Date Modified Username Field Change
2010-03-30 07:59 myradiogalaxy New Issue
2010-03-30 10:32 KiloByte Note Added: 0003740
2010-03-30 11:21 jpeg Note Added: 0003744
2010-03-30 17:38 myradiogalaxy Note Added: 0003753
2010-06-09 14:27 rob Category Support Request => FR: Interface Improvements
2017-06-05 17:10 PleasingFungus Note Added: 0031660
2017-06-05 17:10 PleasingFungus Status new => resolved
2017-06-05 17:10 PleasingFungus Fixed in Branch => 0.19 stable branch
2017-06-05 17:10 PleasingFungus Resolution open => done
2017-06-05 17:10 PleasingFungus Assigned To => PleasingFungus


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker